# Interface LeaderMXBean

All Superinterfaces:
  `ZooKeeperServerMXBean`

All Known Implementing Classes:
  `LeaderBean`

public interface LeaderMXBean extends ZooKeeperServerMXBean
Leader MBean.

## Method Summary

Modifier and Type
Method
Description
`String`
`followerInfo()`
`String`
`getCurrentZxid()`
Current zxid of cluster.
`long`
`getElectionTimeTaken()`
`int`
`getLastProposalSize()`
`int`
`getMaxConcurrentDiffSyncs()`
`int`
`getMaxConcurrentSnapSyncs()`
`int`
`getMaxProposalSize()`
`int`
`getMinProposalSize()`
`String`
`nonVotingFollowerInfo()`
`void`
`resetProposalStatistics()`
Resets statistics of proposal size (min/max/last)
`void`
`setMaxConcurrentDiffSyncs(int maxConcurrentDiffSyncs)`
`void`
`setMaxConcurrentSnapSyncs(int maxConcurrentSnapSyncs)`

### Methods inherited from interface ZooKeeperServerMXBean

`getAuthFailedCount, getAvgRequestLatency, getClientPort, getCommitProcMaxCommitBatchSize, getCommitProcMaxReadBatchSize, getConnectionDecreaseRatio, getConnectionDropDecrease, getConnectionDropIncrease, getConnectionFreezeTime, getConnectionMaxTokens, getConnectionTokenFillCount, getConnectionTokenFillTime, getDataDirSize, getFlushDelay, getFsyncThresholdExceedCount, getJuteMaxBufferSize, getLargeRequestMaxBytes, getLargeRequestThreshold, getLastClientResponseSize, getLogDirSize, getMaxBatchSize, getMaxClientCnxnsPerHost, getMaxClientResponseSize, getMaxCnxns, getMaxRequestLatency, getMaxSessionTimeout, getMaxWriteQueuePollTime, getMinClientResponseSize, getMinRequestLatency, getMinSessionTimeout, getNonMTLSLocalConnCount, getNonMTLSRemoteConnCount, getNumAliveConnections, getOutstandingRequests, getPacketsReceived, getPacketsSent, getRequestStaleConnectionCheck, getRequestStaleLatencyCheck, getRequestThrottleDropStale, getRequestThrottleLimit, getRequestThrottleStallTime, getResponseCachingEnabled, getSecureClientAddress, getSecureClientPort, getStartTime, getThrottledOpWaitTime, getTickTime, getTxnLogElapsedSyncTime, getVersion, resetAuthFailedCount, resetFsyncThresholdExceedCount, resetLatency, resetMaxLatency, resetNonMTLSConnCount, resetStatistics, setCommitProcMaxCommitBatchSize, setCommitProcMaxReadBatchSize, setConnectionDecreaseRatio, setConnectionDropDecrease, setConnectionDropIncrease, setConnectionFreezeTime, setConnectionMaxTokens, setConnectionTokenFillCount, setConnectionTokenFillTime, setFlushDelay, setLargeRequestMaxBytes, setLargeRequestThreshold, setMaxBatchSize, setMaxClientCnxnsPerHost, setMaxSessionTimeout, setMaxWriteQueuePollTime, setMinSessionTimeout, setRequestStaleConnectionCheck, setRequestStaleLatencyCheck, setRequestThrottleDropStale, setRequestThrottleLimit, setRequestThrottleStallTime, setResponseCachingEnabled, setThrottledOpWaitTime, setTickTime`

## Method Details

### getCurrentZxid

String getCurrentZxid()
Current zxid of cluster.

### followerInfo

String followerInfo()

Returns:
  information on current followers

### nonVotingFollowerInfo

String nonVotingFollowerInfo()

Returns:
  information about current non-voting followers

### getElectionTimeTaken

long getElectionTimeTaken()

Returns:
  time taken for leader election in milliseconds.

### getLastProposalSize

int getLastProposalSize()

Returns:
  size of latest generated proposal

### getMinProposalSize

int getMinProposalSize()

Returns:
  size of smallest generated proposal

### getMaxProposalSize

int getMaxProposalSize()

Returns:
  size of largest generated proposal

### resetProposalStatistics

void resetProposalStatistics()
Resets statistics of proposal size (min/max/last)

### getMaxConcurrentSnapSyncs

int getMaxConcurrentSnapSyncs()

Returns:
  Number of concurrent snapshots permitted to send to observers

### setMaxConcurrentSnapSyncs

void setMaxConcurrentSnapSyncs(int maxConcurrentSnapSyncs)

Parameters:
  `maxConcurrentSnapSyncs` - Number of concurrent snapshots permitted to send to observers

### getMaxConcurrentDiffSyncs

int getMaxConcurrentDiffSyncs()

Returns:
  Number of concurrent diff syncs permitted to send to observers

### setMaxConcurrentDiffSyncs

void setMaxConcurrentDiffSyncs(int maxConcurrentDiffSyncs)

Parameters:
  `maxConcurrentDiffSyncs` - Number of concurrent diff syncs permitted to send to observers